using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace HySoft.BaseCallCenter.Web.knowledgemanage
{
    public partial class knowledgeview : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Request.QueryString["action"] != null)
            {
                string action = Request.QueryString["action"].ToString();
                if (action == "view")
                {
                    if (Request.QueryString["singleFlage"] != null)
                    {
                        int repositoryid = Convert.ToInt32(Request.QueryString["singleFlage"].ToString());
                        Model.T_RepositoryInformation tri = new BLL.T_RepositoryInformation().GetModel(repositoryid);
                        lblTitle.Text = tri.F_Title;
                        lblKeyWords.Text = tri.F_KeyWords;
                        lblContent.InnerHtml = HttpUtility.HtmlDecode(tri.F_Content);
                    }
                }
            }
        }
    }
}